{{- partialCached "utils/css.html" (dict "context" . "filefolder" "objects" "filename" "buttons") "buttons" -}}
{{- $position := .position -}}
{{- $title := .title -}}
{{- with .data -}}
  {{- $buttons := and .button.text .button_secondary.text -}}
  <section class="block-call_to_action" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        <div class="call_to_action call_to_action--with{{ if not .image }}out{{ end }}-image">
          <div>
            {{- with $title }}
            <h2 id="{{ . | urlize }}">{{ partial "osuny/PrepareHTML" . }}</h2>
            {{ end -}}

            {{- if (partial "osuny/GetTextFromHTML" .text) }}
            <div>
              {{ partial "osuny/PrepareHTML" .text }}
            </div>
            {{ end -}}

            <div {{ if $buttons }}role="group"{{ end -}}>
              {{- with .button -}}
                {{ if .text }}
                  {{- $title := partial "osuny/PrepareHTML" .text -}}
                  <a href="{{ .url }}"
                    class="btn btn--primary"
                    {{ if .target_blank }}
                      title="{{ i18n "osuny/commons.link.blank_aria" (dict "Title" $title) }}"
                      target="_blank"
                    {{ else }}
                      title="{{ $title }}"
                    {{ end }}
                    >{{ $title }}</a>
                {{ end -}}
              {{ end -}}

              {{- with .button_secondary }}
                {{ if .text }}
                  {{- $title := partial "osuny/PrepareHTML" .text -}}
                  <a href="{{ .url }}"
                    class="btn btn--secondary"
                    {{ if .target_blank }}
                      title="{{ i18n "osuny/commons.link.blank_aria" (dict "Title" $title) }}"
                      target="_blank"
                    {{ else }}
                      title="{{ $title }}"
                    {{ end }}
                    >{{ $title }}</a>
                {{ end -}}
              {{ end -}}

              {{- with .button_tertiary }}
                {{ if .text }}
                  {{- $title := partial "osuny/PrepareHTML" .text -}}
                  <a href="{{ .url }}"
                    class="btn btn--outline"
                    {{ if .target_blank }}
                      title="{{ i18n "osuny/commons.link.blank_aria" (dict "Title" $title) }}"
                      target="_blank"
                    {{ else }}
                      title="{{ $title }}"
                    {{ end }}
                    >{{ $title }}</a>
                {{ end -}}
              {{ end -}}
            </div>
          </div>

          {{- with .image }}
          <figure>
            {{ partial "osuny/commons/image.html"
              (dict
                "image"    .file
                "alt"      .alt
                "mobile"   "320"
                "tablet"   "720"
                "desktop"  "960"
              )}}
              {{- with .credit }}
              <figcaption>
                <p class="credit">{{ . }}</p> 
              </figcaption>
              {{ end -}}
          </figure>
          {{ end -}}

        </div>
      </div>
    </div>
  </section>
{{- end -}}
